Index: trunk/source/geometry/management/include/G4VCurvedTrajectoryFilter.hh
===================================================================
--- trunk/source/geometry/management/include/G4VCurvedTrajectoryFilter.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VCurvedTrajectoryFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCurvedTrajectoryFilter.hh,v 1.3 2006/06/29 18:32:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VNestedParameterisation.hh
===================================================================
--- trunk/source/geometry/management/include/G4VNestedParameterisation.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VNestedParameterisation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNestedParameterisation.hh,v 1.6 2006/06/29 18:32:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VNestedParameterisation
Index: trunk/source/geometry/management/include/G4VPVDivisionFactory.hh
===================================================================
--- trunk/source/geometry/management/include/G4VPVDivisionFactory.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VPVDivisionFactory.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVDivisionFactory.hh,v 1.2 2006/06/29 18:32:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VPVParameterisation.hh
===================================================================
--- trunk/source/geometry/management/include/G4VPVParameterisation.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VPVParameterisation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVParameterisation.hh,v 1.13 2007/07/16 08:40:13 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VPVParamterisation
Index: trunk/source/geometry/management/include/G4VPhysicalVolume.hh
===================================================================
--- trunk/source/geometry/management/include/G4VPhysicalVolume.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VPhysicalVolume.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPhysicalVolume.hh,v 1.17 2007/04/11 08:00:12 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VPhysicalVolume.icc
===================================================================
--- trunk/source/geometry/management/include/G4VPhysicalVolume.icc	(revision 1227)
+++ trunk/source/geometry/management/include/G4VPhysicalVolume.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPhysicalVolume.icc,v 1.10 2006/06/29 18:32:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VSolid.hh
===================================================================
--- trunk/source/geometry/management/include/G4VSolid.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VSolid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSolid.hh,v 1.29 2008/09/10 13:18:42 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4VSolid.icc
===================================================================
--- trunk/source/geometry/management/include/G4VSolid.icc	(revision 1227)
+++ trunk/source/geometry/management/include/G4VSolid.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSolid.icc,v 1.9 2007/05/11 13:30:12 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4VStoreNotifier.hh
===================================================================
--- trunk/source/geometry/management/include/G4VStoreNotifier.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VStoreNotifier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStoreNotifier.hh,v 1.3 2006/06/29 18:33:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VStoreNotifier
Index: trunk/source/geometry/management/include/G4VTouchable.hh
===================================================================
--- trunk/source/geometry/management/include/G4VTouchable.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VTouchable.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VTouchable.hh,v 1.9 2006/06/29 18:33:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4VTouchable.icc
===================================================================
--- trunk/source/geometry/management/include/G4VTouchable.icc	(revision 1227)
+++ trunk/source/geometry/management/include/G4VTouchable.icc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VTouchable.icc,v 1.9 2006/06/29 18:33:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4VTouchable.icc,v 1.10 2009/11/06 10:36:00 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -34,72 +34,6 @@
 
 inline
-G4VTouchable::G4VTouchable()
-{
-}
-
-inline
-G4VTouchable::~G4VTouchable()
-{
-}
-
-inline
-G4VPhysicalVolume* G4VTouchable::GetVolume(G4int) const
-{
-  G4Exception("G4VTouchable::GetVolume()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
-G4VSolid* G4VTouchable::GetSolid(G4int) const
-{
-  G4Exception("G4VTouchable::GetSolid()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
-G4int G4VTouchable::GetReplicaNumber(G4int) const
-{
-  G4Exception("G4VTouchable::GetReplicaNumber()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
 G4int G4VTouchable::GetCopyNumber(G4int depth) const
 {
   return GetReplicaNumber(depth);
 }
-
-inline
-G4int G4VTouchable::MoveUpHistory(G4int)
-{
-  G4Exception("G4VTouchable::MoveUpHistory()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
-void G4VTouchable::UpdateYourself(G4VPhysicalVolume*,
-			          const G4NavigationHistory* ) 
-{
-  G4Exception("G4VTouchable::UpdateYourself()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-}
-
-inline
-G4int G4VTouchable::GetHistoryDepth() const
-{
-  G4Exception("G4VTouchable::GetHistoryDepth()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return  0;
-}
-
-inline
-const G4NavigationHistory* G4VTouchable::GetHistory() const
-{
-  G4Exception("G4VTouchable::GetHistory()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
Index: trunk/source/geometry/management/include/G4VUserRegionInformation.hh
===================================================================
--- trunk/source/geometry/management/include/G4VUserRegionInformation.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VUserRegionInformation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VUserRegionInformation.hh,v 1.4 2006/06/29 18:33:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VVolumeMaterialScanner.hh
===================================================================
--- trunk/source/geometry/management/include/G4VVolumeMaterialScanner.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VVolumeMaterialScanner.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VVolumeMaterialScanner.hh,v 1.4 2006/06/29 18:33:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VVolumeMaterialScanner
Index: trunk/source/geometry/management/include/G4VoxelLimits.hh
===================================================================
--- trunk/source/geometry/management/include/G4VoxelLimits.hh	(revision 1227)
+++ trunk/source/geometry/management/include/G4VoxelLimits.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VoxelLimits.hh,v 1.9 2006/06/29 18:33:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VoxelLimits
Index: trunk/source/geometry/management/include/G4VoxelLimits.icc
===================================================================
--- trunk/source/geometry/management/include/G4VoxelLimits.icc	(revision 1227)
+++ trunk/source/geometry/management/include/G4VoxelLimits.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VoxelLimits.icc,v 1.4 2006/06/29 18:33:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/meshdefs.hh
===================================================================
--- trunk/source/geometry/management/include/meshdefs.hh	(revision 1227)
+++ trunk/source/geometry/management/include/meshdefs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: meshdefs.hh,v 1.7 2006/06/29 18:33:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/voxeldefs.hh
===================================================================
--- trunk/source/geometry/management/include/voxeldefs.hh	(revision 1227)
+++ trunk/source/geometry/management/include/voxeldefs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: voxeldefs.hh,v 1.7 2006/06/29 18:33:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4BlockingList.cc
===================================================================
--- trunk/source/geometry/management/src/G4BlockingList.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4BlockingList.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlockingList.cc,v 1.3 2006/06/29 18:33:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorCylSurfaceTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorCylSurfaceTarget.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4ErrorCylSurfaceTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorCylSurfaceTarget.cc,v 1.4 2007/06/20 12:50:48 arce Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorPlaneSurfaceTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorPlaneSurfaceTarget.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4ErrorPlaneSurfaceTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPlaneSurfaceTarget.cc,v 1.2 2007/06/19 11:28:39 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorSurfaceTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorSurfaceTarget.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4ErrorSurfaceTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorSurfaceTarget.cc,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorTanPlaneTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorTanPlaneTarget.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4ErrorTanPlaneTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorTanPlaneTarget.cc,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorTarget.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4ErrorTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorTarget.cc,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4GeometryManager.cc
===================================================================
--- trunk/source/geometry/management/src/G4GeometryManager.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4GeometryManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryManager.cc,v 1.22 2008/05/16 13:46:48 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4GeometryManager
Index: trunk/source/geometry/management/src/G4IdentityTrajectoryFilter.cc
===================================================================
--- trunk/source/geometry/management/src/G4IdentityTrajectoryFilter.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4IdentityTrajectoryFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IdentityTrajectoryFilter.cc,v 1.4 2006/10/02 10:09:24 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------------------
Index: trunk/source/geometry/management/src/G4LogicalVolume.cc
===================================================================
--- trunk/source/geometry/management/src/G4LogicalVolume.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4LogicalVolume.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LogicalVolume.cc,v 1.33 2008/07/10 09:40:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4LogicalVolume.cc,v 1.34 2009/09/24 13:22:57 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -162,15 +162,11 @@
 G4int G4LogicalVolume::TotalVolumeEntities() const
 {
-  static G4int vols = 0;
-
-  vols++;
+  G4int vols = 1;
   for (G4PhysicalVolumeList::const_iterator itDau = fDaughters.begin();
        itDau != fDaughters.end(); itDau++)
   {
     G4VPhysicalVolume* physDaughter = (*itDau);
-    for (G4int i=0; i<physDaughter->GetMultiplicity(); i++)
-    {
-      physDaughter->GetLogicalVolume()->TotalVolumeEntities();
-    }
+    vols += physDaughter->GetMultiplicity()
+           *physDaughter->GetLogicalVolume()->TotalVolumeEntities();
   }
   return vols;
Index: trunk/source/geometry/management/src/G4LogicalVolumeStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4LogicalVolumeStore.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4LogicalVolumeStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LogicalVolumeStore.cc,v 1.19 2008/07/10 09:40:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4LogicalVolumeStore
Index: trunk/source/geometry/management/src/G4PhysicalVolumeStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4PhysicalVolumeStore.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4PhysicalVolumeStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicalVolumeStore.cc,v 1.20 2008/07/10 09:41:20 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PhysicalVolumeStore
Index: trunk/source/geometry/management/src/G4ReflectedSolid.cc
===================================================================
--- trunk/source/geometry/management/src/G4ReflectedSolid.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4ReflectedSolid.cc	(revision 1228)
@@ -27,5 +27,5 @@
 // $Id: G4ReflectedSolid.cc,v 1.11 2006/11/08 09:56:33 gcosmo Exp $
 //
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Implementation for G4ReflectedSolid class for boolean 
Index: trunk/source/geometry/management/src/G4Region.cc
===================================================================
--- trunk/source/geometry/management/src/G4Region.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4Region.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Region.cc,v 1.26 2008/07/15 10:27:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4Region.cc,v 1.27 2009/11/27 16:34:37 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -48,5 +48,6 @@
 G4Region::G4Region(const G4String& pName)
   : fName(pName), fRegionMod(true), fCut(0), fUserInfo(0), fUserLimits(0),
-    fFastSimulationManager(0), fWorldPhys(0), fRegionalSteppingAction(0)
+    fFieldManager(0), fFastSimulationManager(0), fWorldPhys(0),
+    fRegionalSteppingAction(0)
 {
   G4RegionStore* rStore = G4RegionStore::GetInstance();
@@ -72,5 +73,6 @@
 G4Region::G4Region( __void__& )
   : fName(""), fRegionMod(true), fCut(0), fUserInfo(0), fUserLimits(0),
-    fFastSimulationManager(0), fWorldPhys(0), fRegionalSteppingAction(0)
+    fFieldManager(0), fFastSimulationManager(0), fWorldPhys(0),
+    fRegionalSteppingAction(0)
 {
   // Register to store
Index: trunk/source/geometry/management/src/G4RegionStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4RegionStore.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4RegionStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RegionStore.cc,v 1.14 2008/07/10 09:46:01 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4RegionStore
Index: trunk/source/geometry/management/src/G4SmartVoxelHeader.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelHeader.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4SmartVoxelHeader.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4SmartVoxelHeader.cc,v 1.31 2008/01/24 15:46:47 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4SmartVoxelHeader.cc,v 1.34 2009/10/30 14:05:47 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -366,10 +366,10 @@
         // Sanity check on extent
         //
-        G4double min, max;
+        G4double emin = kInfinity, emax = -kInfinity;
         G4VoxelLimits limits;
         G4AffineTransform origin;
-        pVolume->GetSolid()->CalculateExtent(axis, limits, origin, min, max);
-        if ( (std::fabs((min-fminExtent)/fminExtent) +
-              std::fabs((max-fmaxExtent)/fmaxExtent)) > 0.05)
+        pVolume->GetSolid()->CalculateExtent(axis, limits, origin, emin, emax);
+        if ( (std::fabs((emin-fminExtent)/fminExtent) +
+              std::fabs((emax-fmaxExtent)/fmaxExtent)) > 0.05)
         {
           G4cerr << "ERROR - G4SmartVoxelHeader::BuildReplicaVoxels()"
@@ -1038,4 +1038,7 @@
   for (nNode=0; nNode<noNodes; nNode++)
   {
+    // Get rid of possible excess capacity in the internal node vector
+    //
+    ((*nodeList)[nNode])->Shrink();
     G4SmartVoxelProxy* pProxyNode = new G4SmartVoxelProxy((*nodeList)[nNode]);
     if (!pProxyNode)
Index: trunk/source/geometry/management/src/G4SmartVoxelNode.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelNode.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4SmartVoxelNode.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelNode.cc,v 1.6 2006/06/29 18:33:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4SmartVoxelNode
Index: trunk/source/geometry/management/src/G4SmartVoxelProxy.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelProxy.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4SmartVoxelProxy.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelProxy.cc,v 1.3 2006/06/29 18:33:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4SmartVoxelProxy
Index: trunk/source/geometry/management/src/G4SmartVoxelStat.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelStat.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4SmartVoxelStat.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelStat.cc,v 1.3 2006/06/29 18:33:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/management/src/G4SolidStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4SolidStore.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4SolidStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SolidStore.cc,v 1.17 2007/04/10 10:13:50 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4SolidStore
Index: trunk/source/geometry/management/src/G4VCurvedTrajectoryFilter.cc
===================================================================
--- trunk/source/geometry/management/src/G4VCurvedTrajectoryFilter.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4VCurvedTrajectoryFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCurvedTrajectoryFilter.cc,v 1.3 2006/06/29 18:33:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 // --------------------------------------------------------------------
 
Index: trunk/source/geometry/management/src/G4VNestedParameterisation.cc
===================================================================
--- trunk/source/geometry/management/src/G4VNestedParameterisation.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4VNestedParameterisation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNestedParameterisation.cc,v 1.6 2006/06/29 18:33:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VNestedParameterisation implementation
Index: trunk/source/geometry/management/src/G4VPVDivisionFactory.cc
===================================================================
--- trunk/source/geometry/management/src/G4VPVDivisionFactory.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4VPVDivisionFactory.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVDivisionFactory.cc,v 1.2 2006/06/29 18:34:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VPVDivisionFactory Implementation file
Index: trunk/source/geometry/management/src/G4VPVParameterisation.cc
===================================================================
--- trunk/source/geometry/management/src/G4VPVParameterisation.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4VPVParameterisation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVParameterisation.cc,v 1.8 2007/07/16 08:40:13 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Default implementations for Parameterisations that do not
Index: trunk/source/geometry/management/src/G4VPhysicalVolume.cc
===================================================================
--- trunk/source/geometry/management/src/G4VPhysicalVolume.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4VPhysicalVolume.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPhysicalVolume.cc,v 1.14 2007/04/11 08:00:12 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/src/G4VSolid.cc
===================================================================
--- trunk/source/geometry/management/src/G4VSolid.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4VSolid.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSolid.cc,v 1.39 2008/09/23 13:07:41 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VSolid
Index: trunk/source/geometry/management/src/G4VoxelLimits.cc
===================================================================
--- trunk/source/geometry/management/src/G4VoxelLimits.cc	(revision 1227)
+++ trunk/source/geometry/management/src/G4VoxelLimits.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VoxelLimits.cc,v 1.11 2006/06/29 18:34:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VoxelLimits
Index: trunk/source/geometry/navigation/History
===================================================================
--- trunk/source/geometry/navigation/History	(revision 1227)
+++ trunk/source/geometry/navigation/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.132 2009/05/20 08:27:26 gcosmo Exp $
+$Id: History,v 1.138 2009/12/11 05:48:53 japost Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,65 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+Dec 11th, 2009 - J.Apostolakis (geomnav-V09-02-11)
+------------------------------
+- G4PropagatorInField
+  * Implementation field by Region 
+      - with extra checking of logical volume
+
+Nov 30th, 2009 - J.Apostolakis (geomnav-V09-02-10)
+------------------------------
+- G4VIntersectionLocator
+  * Fix problem in ReEstimateEndPoint() behaviour for very small steps.
+
+  * Corrected constructor to ensure that it initialises all data members.
+  * Labelled the methods (in header) to make noticable those that 
+      must changed at every step.
+      ( attributes: ChordFinder,  EpsilonStep,  Navigator )
+
+Nov 23rd, 2009 - J.Apostolakis 
+------------------------------
+- Fixed G4PropagatorInField.cc: 
+   * Revise condition for flagging ZeroStep to avoid fake triggering.
+     Small proposed steps (from Physics) could trigger the previous
+     simple condition for Tiny/Zero Problem steps.
+   [ This was first commited on branch geomnav-V09-02-08_branch 
+       and tagged geomnav-V09-02-80  ]
+
+Nov 12th, 2009 - J.Apostolakis (geomnav-V09-02-09)
+------------------------------
+- G4PropagatorInField: cleanup of minor methods:
+   Added new method RefreshIntersectionLocator to update the state of
+       Use this method to synchronise with IntersectionLocator.
+   Deleted long obsolete methods: SetAccuraciesWithDeltaOneStep
+	   SetDeltaIntersection,  SetDeltaOneStep
+   Revised implementation to avoid using the older methods
+           GetDeltaIntersection   GetDeltaOneStep
+
+Nov 12th, 2009 - J.Apostolakis (geomnav-V09-02-08)
+------------------------------
+- Refined G4PropagatorInField.cc: 
+   * Changed parameters for treating consecutive tiny/zero steps:
+     - the value of default decrease factor to 0.25 (from 0.1), 
+     - the value is not used when the step size falls below a certain threshold.s
+       This threshold is changed. It is expressed as a multiple of fZeroStepThreshold 
+       instead of kCarTolerance.  The reasons are:
+	 * the threshold were meant to refer to the  ZeroStepThreshold (it was kCarTolerance)
+	 * the values were now much larger than this ZeroStepThreshold.
+     - The value given to the decrease factor after the first such thresholds is changed to 0.35
+       instead of 0.25, 0.5.  
+   * Improved printing of Diagnostic message.
+
+Nov  3rd, 2009 - J.Apostolakis (geomnav-V09-02-07)
+------------------------------
+- Refined G4PropagatorInField.cc: 
+   * Added new member fZeroStepThreshold, to enable tuning of threshold for Tiny/Zero steps. 
+   * Changed default value from 0.5 * kCarTolerance 
+                          to max (100,000 * kCarTolerance, 0.1 * micron )
+   * This is first revision to address problem seen at boundary of volumes (Reports of Atlas) .
+
+June 2nd, 2009 - J.Apostolakis (geomnav-V09-02-06)
+------------------------------
+- Fix in G4PropagatorInField::SetNavigator
+   * Forward new Navigator to IntersectionLocator. 
 
 May 20th, 2009 - P.Arce (geomnav-V09-02-05)
Index: trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.hh	(revision 1227)
+++ trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AuxiliaryNavServices.hh,v 1.4 2007/05/22 07:48:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.icc	(revision 1227)
+++ trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AuxiliaryNavServices.icc,v 1.4 2007/05/22 07:48:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/navigation/include/G4BrentLocator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4BrentLocator.hh	(revision 1227)
+++ trunk/source/geometry/navigation/include/G4BrentLocator.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BrentLocator.hh,v 1.2 2008/10/29 14:31:55 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4BrentLocator
Index: trunk/source/geometry/navigation/include/G4DrawVoxels.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4DrawVoxels.hh	(revision 1227)
+++ trunk/source/geometry/navigation/include/G4DrawVoxels.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DrawVoxels.hh,v 1.3 2006/06/29 18:35:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4ErrorPropagationNavigator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4ErrorPropagationNavigator.hh	(revision 1227)
+++ trunk/source/geometry/navigation/include/G4ErrorPropagationNavigator.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPropagationNavigator.hh,v 1.2 2008/10/24 14:00:03 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
